/* Form */
.form-control {
  background-color: #5351510f;
  border-color: #e4e6fc;
}

.select-form-control {
  background-color: #5351510f;
  border-color: #e4e6fc;
  padding: 0 10px;
  border-radius: 8px;
  height: 45px;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  color: #9e9999;
  width: 100%;
}

.form-control:focus {
  background-color: #fefeff;
  border-color: #95a0f4;
}

.form-control::placeholder {
  color: #9e9999;
}

.single-checkbox {
  margin-bottom: 20px;
  text-align: left;
}

/* Button */
.buttons .btn {
  margin: 0 8px 10px 0;
}

.btn:focus {
  box-shadow: none !important;
  outline: none;
}

.btn:active {
  box-shadow: none !important;
  outline: none;
}

.btn:active:focus {
  box-shadow: none !important;
  outline: none;
}

.dropdown-item.has-icon i {
  text-align: center;
  width: 15px;
  float: left;
  margin-right: 10px;
  margin-top: -1px;
  font-size: 13px;
}

.btn {
  font-weight: 600;
  font-size: 12px;
  line-height: 24px;
  padding: 0.3rem 0.8rem;
  letter-spacing: 0.5px;
}

.btn > i {
  margin-left: 0 !important;
}

.transparent-btn {
  border: none;
  display: inline-block;
  padding: 6px 10px;
  background-color: #0050ff52;
  color: #0050ff;
  border-radius: 4px;
  text-decoration: none;
}

.transparent-btn i {
  padding-right: 6px;
}

.primary-action {
  display: inline-block;
  border: none;
  background-color: #0050ff52;
  color: #fff;
  padding: 3px 10px;
  border-radius: 4px;
}

.primary-action i {
  color: #0050ff !important;
  font-weight: 900;
}

.secondary-action {
  display: inline-block;
  border: none;
  background-color: rgb(104 75 226 / 36%);
  color: #fff;
  padding: 3px 10px;
  border-radius: 4px;
}

.secondary-action i {
  color: rgb(104 75 226);
  font-weight: 900;
}

.show-action {
  display: inline-block;
  border: none;
  background-color: rgb(0 150 136 / 38%);
  color: rgb(0 150 136);
  padding: 3px 10px;
  border-radius: 4px;
}

.show-action i {
  font-weight: 900;
  color: rgb(0 150 136);
}

.danger-action {
  display: inline-block;
  border: none;
  background-color: rgb(255 70 38 / 25%);
  color: #fff;
  padding: 3px 10px;
  border-radius: 4px;
}

.danger-action-sm {
  display: inline-block;
  border: none;
  background-color: rgb(255 70 38 / 25%);
  color: #fff;
  padding: 0 9px;
  border-radius: 4px;
}

.danger-action-sm i {
  font-size: 11px;
  color: rgb(255 70 38);
}

.pause-action {
  display: inline-block;
  border: none;
  background-color: rgb(210 20 61 / 43%);
  color: #fff;
  padding: 3px 10px;
  border-radius: 4px;
}

.pause-action i {
  color: rgb(210 20 61);
}

.completed-action {
  display: inline-block;
  border: none;
  background-color: #0050ff40;
  color: #fff;
  padding: 3px 10px;
  border-radius: 4px;
}

.completed-action i {
  color: #0050ff;
}

.primary-button:focus,
.btn-add-row:focus,
.btn-remove-row:focus {
    outline: 2px solid #4a90e2;
    outline-offset: 2px;
}

.primary-button,
.btn-add-row,
.btn-remove-row {
    cursor: pointer !important;
}
    
.no-btn {
  border: none;
  background: #fc544b;
  border-radius: 4px;
  color: #fff;
  padding: 4px 10px;
  min-width: 60px;
}

.yes-btn, .yes-status-btn {
  border: none;
  background: #0050ff;
  border-radius: 4px;
  color: #fff;
  padding: 4px 10px;
  min-width: 60px;
}

.danger-action i {
  color: rgb(255 70 38);
  font-weight: 900;
}

/* status */
.inactive-status {
  display: inline-block;
  color: rgb(255 70 38);
}

.pause-status {
  display: inline-block;
  color: rgb(210 20 61);
}

.reject-status {
  display: inline-block;
  color: rgb(255 70 38);
}

.active-status {
  display: inline-block;
  color: #0050ff;
}

.text-success {
  display: inline-block;
  color: #0050ff;
}

.text-failed {
  display: inline-block;
  color: rgb(255 70 38);
}

.text-schedule {
  display: inline-block;
  color: #00bcd4;
}

.text-pending {
  display: inline-block;
  color: #ffc107;
}

.truncate-description {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  max-height: 4.2em;
  min-height: 4.2em;
  margin-bottom: 0.5rem;
  word-break: break-all;
}

.select2-container--default .select2-selection--single {
  background-color: #5351510f;
  border: 1px solid #e4e6fc;
  border-radius: 8px;
  height: 45px !important;
  line-height: 45px;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__placeholder {
  line-height: 45px;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  line-height: 45px !important;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  height: 26px;
  position: absolute;
  top: 50%;
  right: 1px;
  width: 20px;
  transform: translateY(-50%);
}

/* Breadcrumb */
.breadcrumb {
  background-color: #f9f9f9;
}

.breadcrumb .breadcrumb-item {
  line-height: 1;
}

.breadcrumb .breadcrumb-item i {
  margin-right: 5px;
}

.breadcrumb-item {
  padding-left: 0.5rem;
}

.breadcrumb-item + .breadcrumb-item::before {
  display: inline-block;
  padding-right: 0.5rem;
  color: #6c757d;
  content: "/";
  padding-left: 0.5rem;
}

/* Navbar */
.navbar {
  left: 250px;
  right: 5px;
  position: absolute;
  z-index: 890;
  background-color: #f9f5f5;
  align-items: center;
}

.navbar.active {
  background-color: #6777ef;
  box-shadow: rgba(103, 119, 239, 20%) rgba(0, 0, 0, 30%);
}

.navbar-bg {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 115px;
  background-color: #6777ef;
  z-index: -1;
}

.navbar .navbar-brand {
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 3px;
  font-weight: 700;
}

.navbar .active .nav-link {
  color: #fff;
  font-weight: 700;
}

.navbar .navbar-text {
  color: #fff;
}

.navbar .nav-link {
  color: #f2f2f2;
  padding: 0 15px;
  height: 100%;
}

.navbar .nav-link.nav-link-lg div {
  margin-top: 3px;
}

.navbar .nav-link.nav-link-lg i {
  margin-left: 0 !important;
  font-size: 18px;
  line-height: 32px;
  color: #3a3a3a;
}

.navbar .nav-link.nav-link-user {
  color: #3a3a3a;
  padding-top: 4px;
  padding-bottom: 4px;
  font-weight: 600;
}

.navbar .nav-link.nav-link-user img {
  width: 30px;
}

.navbar .nav-link.nav-link-img {
  padding-top: 4px;
  padding-bottom: 4px;
  border-radius: 50%;
  overflow: hidden;
}

.navbar .nav-link.nav-link-img .flag-icon {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 3%);
  border-radius: 50%;
  line-height: 18px;
  height: 22px;
  width: 22px;
  background-size: cover;
}

.navbar .nav-link:hover {
  color: #3a3a3a;
}

.navbar .nav-link.disabled {
  color: #fff;
  opacity: 0.6;
}

.nav-collapse {
  display: flex;
}

@media (max-width: 575.98px) {
  body.search-show .navbar .form-inline .search-element {
    display: block;
  }

  .navbar .nav-link.nav-link-lg div {
    display: none;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .navbar .form-inline .search-element {
    display: block;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .collapse {
    position: relative;
  }

  .collapse .navbar-nav {
    position: absolute;
  }
}

@media (max-width: 1024px) {
  .nav-collapse {
    position: relative;
  }

  .nav-collapse .navbar-nav {
    box-shadow: 0 0 30px #0000004d;
    position: absolute;
    top: 40px;
    left: 0;
    width: 200px;
    display: none;
  }

  .nav-collapse .navbar-nav.show {
    display: block;
  }

  .nav-collapse .navbar-nav .nav-item:first-child {
    border-radius: 3px 3px 0 0;
  }

  .nav-collapse .navbar-nav .nav-item:last-child {
    border-radius: 0 0 3px 3px;
  }

  .nav-collapse .navbar-nav .nav-item .nav-link {
    background-color: #fff;
    color: #6c757d;
  }

  .nav-collapse .navbar-nav .nav-item .nav-link:hover {
    background-color: #fcfcfd;
    color: #6777ef;
  }

  .nav-collapse .navbar-nav .nav-item:focus > a,
  .nav-collapse .navbar-nav .nav-item.active > a {
    background-color: #6777ef;
    color: #fff;
  }

  .navbar {
    left: 5px;
    right: 0;
  }

  .navbar .dropdown-menu {
    position: absolute;
  }

  .navbar .navbar-nav {
    flex-direction: row;
  }

  .navbar-expand-lg .navbar-nav .dropdown-menu-right {
    right: 0;
    left: auto;
  }
}

.dropdown-menu {
  box-shadow: 0 0 30px #0000004d;
  border: none;
  width: 200px;
}

.dropdown-menu.show {
  display: block !important;
}

.dropdown-menu a {
  font-size: 13px;
}

.dropdown-menu .dropdown-title {
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 1.5px;
  font-weight: 700;
  color: #191d21 !important;
  padding: 10px 20px;
  line-height: 20px;
}

.dropdown-menu.dropdown-menu-sm a {
  font-size: 14px;
  letter-spacing: normal;
  padding: 10px 20px;
  color: #6c757d;
}

a.dropdown-item {
  padding: 10px 20px;
  font-weight: 500;
  line-height: 1.2;
}

a.dropdown-item:focus,
a.dropdown-item:active,
a.dropdown-item.active {
  background-color: #6777ef;
  color: #fff !important;
}

.dropdown-divider {
  border-top-color: #f9f9f9;
}

.dropdown-list {
  width: 350px;
  padding: 0;
}

.dropdown-list .dropdown-item {
  display: inline-block;
  width: 100%;
  padding-top: 15px;
  padding-bottom: 15px;
  font-size: 13px;
  border-bottom: 1px solid #f9f9f9;
}

.dropdown-list .dropdown-item.dropdown-item-header:hover {
  background-color: transparent;
}

.dropdown-list .dropdown-item .time {
  margin-top: 10px;
  font-weight: 600;
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 0.5px;
}

.dropdown-list .dropdown-item .dropdown-item-avatar {
  float: left;
  width: 40px;
  text-align: right;
  position: relative;
}

.dropdown-list .dropdown-item .dropdown-item-avatar img {
  width: 100%;
}

.dropdown-list .dropdown-item .dropdown-item-avatar .is-online {
  position: absolute;
  bottom: 0;
  right: 0;
}

.dropdown-list .dropdown-item .dropdown-item-desc {
  line-height: 24px;
  white-space: normal;
  color: #34395e;
  margin-left: 60px;
}

.dropdown-list .dropdown-item .dropdown-item-desc b {
  font-weight: 600;
  color: #666;
}

.dropdown-list .dropdown-item .dropdown-item-desc p {
  margin-bottom: 0;
}

.dropdown-list .dropdown-item:focus {
  background-color: #6777ef;
}

.dropdown-list .dropdown-item:focus .dropdown-item-desc {
  color: #fff !important;
}

.dropdown-list .dropdown-item:focus .dropdown-item-desc b {
  color: #fff !important;
}

.dropdown-list .dropdown-item.dropdown-item-unread:active .dropdown-item-desc {
  color: #6c757d;
}

.dropdown-list
  .dropdown-item.dropdown-item-unread:active
  .dropdown-item-desc
  b {
  color: #6c757d;
}

.dropdown-list .dropdown-item:active .dropdown-item-desc {
  color: #fff;
}

.dropdown-list .dropdown-item:active .dropdown-item-desc b {
  color: #fff;
}

.dropdown-list .dropdown-item.dropdown-item-unread {
  background-color: #fbfbfb;
  border-bottom-color: #f2f2f2;
}

.dropdown-list .dropdown-item.dropdown-item-unread:focus .dropdown-item-desc {
  color: #6c757d !important;
}

.dropdown-list .dropdown-item.dropdown-item-unread:focus .dropdown-item-desc b {
  color: #6c757d !important;
}

.dropdown-list .dropdown-footer,
.dropdown-list .dropdown-header {
  letter-spacing: 0.5px;
  font-weight: 600;
  padding: 15px;
}

.dropdown-list .dropdown-footer a,
.dropdown-list .dropdown-header a {
  font-weight: 600;
}

.dropdown-list .dropdown-list-content {
  height: 350px;
  overflow: hidden;
}

.dropdown-list .dropdown-list-content:not(.is-end)::after {
  content: " ";
  position: absolute;
  bottom: 46px;
  left: 0;
  width: 100%;
  background-image: linear-gradient(to bottom, #ffffff00, #ffffff66, #ffffffcc);
  height: 60px;
}

.dropdown-list .dropdown-list-icons .dropdown-item {
  display: flex;
}

.dropdown-list .dropdown-list-icons .dropdown-item .dropdown-item-icon {
  flex-shrink: 0;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  line-height: 42px;
  text-align: center;
}

.dropdown-list .dropdown-list-icons .dropdown-item .dropdown-item-icon i {
  margin: 0;
}

.dropdown-list .dropdown-list-icons .dropdown-item .dropdown-item-desc {
  margin-left: 15px;
  line-height: 20px;
}

.dropdown-list .dropdown-list-icons .dropdown-item .dropdown-item-desc .time {
  margin-top: 5px;
}

.dropdown-flag .dropdown-item {
  font-weight: 600;
}

.dropdown-flag .dropdown-item .flag-icon {
  width: 20px;
  height: 13px;
  margin-right: 7px;
  margin-top: -6px;
}

.dropdown-flag .dropdown-item.active {
  background-color: #6777ef;
  color: #fff;
}

@media (max-width: 575.98px) {
  .dropdown-list-toggle {
    position: static;
  }

  .dropdown-list-toggle .dropdown-list {
    left: 10px !important;
    width: calc(100% - 20px);
  }
}

.bullet,
.slash {
  display: inline;
  margin: 0 4px;
}

.bullet::after {
  content: "\2022";
}

.slash::after {
  content: "/";
}

.ion {
  font-size: 15px;
}

.fas,
.far,
.fab,
.fal {
  font-size: 13px;
}

.shadow-dark {
  box-shadow: 0 2px 6px #728394;
}

.gutters-xs {
  margin-right: -0.25rem;
  margin-left: -0.25rem;
}

.gutters-xs > .col,
.gutters-xs > [class*="col-"] {
  padding-right: 0.25rem;
  padding-left: 0.25rem;
}

.beep {
  position: relative;
}

.beep::after {
  content: "";
  position: absolute;
  top: 2px;
  right: 8px;
  width: 7px;
  height: 7px;
  background-color: #ffa426;
  border-radius: 50%;
  animation: pulsate 1s ease-out;
  animation-iteration-count: infinite;
  opacity: 1;
}

.beep.beep-sidebar::after {
  position: static;
  margin-left: 10px;
}

/*  Section */
.section {
  position: relative;
  z-index: 1;
}

.section > *:first-child {
  margin-top: -7px;
}

.section .section-header {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 3%);
  background-color: #fff;
  border-radius: 3px;
  border: none;
  position: relative;
  margin-bottom: 30px;
  padding: 20px;
  display: flex;
  align-items: center;
}

.section .section-header h1 {
  margin-bottom: 0;
  font-weight: 700;
  display: inline-block;
  font-size: 24px;
  margin-top: 3px;
  color: #34395e;
}

.section .section-header .section-header-back {
  margin-right: 15px;
}

.section .section-header .section-header-back .btn:hover {
  background-color: #6777ef;
  color: #fff;
}

.section .section-header .section-header-button {
  margin-left: 20px;
}

.section .section-header .section-header-breadcrumb {
  margin-left: auto;
  display: flex;
  align-items: center;
}

.section .section-header .section-header-breadcrumb .breadcrumb-item {
  font-size: 12px;
}

.section .section-header .btn {
  font-size: 12px;
}

.section .section-title {
  font-size: 18px;
  color: #191d21;
  font-weight: 600;
  position: relative;
  margin: 30px 0 25px;
}

.section .section-title::before {
  content: " ";
  border-radius: 5px;
  height: 8px;
  width: 30px;
  background-color: #6777ef;
  display: inline-block;
  margin-top: 6px;
  margin-right: 15px;
}

.section .section-title + .section-lead {
  margin-top: -20px;
}

.section .section-lead {
  margin-left: 45px;
}

.main-wrapper-1 .section .section-header {
  margin-left: -30px;
  margin-right: -30px;
  margin-top: -24px;
  border-radius: 0;
  border-top: 1px solid #f9f9f9;
  padding-left: 35px;
  padding-right: 35px;
}

@media (max-width: 575.98px) {
  .section .section-title {
    font-size: 14px;
  }

  .section .section-header {
    flex-wrap: wrap;
    margin-bottom: 20px !important;
  }

  .section .section-header h1 {
    font-size: 18px;
  }

  .section .section-header .float-right {
    display: inline-block;
    width: 100%;
    margin-top: 15px;
  }

  .section .section-header .section-header-breadcrumb {
    flex-basis: 100%;
    margin-top: 10px;
  }
}

@media (max-width: 575.98px) {
  .page-error .page-search {
    width: 100%;
  }
}

/* ==========================================
  Layout
============================================ */
.main-sidebar {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 3%);
  position: fixed;
  top: 0;
  height: 100%;
  width: 250px;
  background-color: #f9f5f5;
  z-index: 880;
  left: 0;
}

.main-sidebar,
.navbar,
.main-content,
.main-footer {
  transition: all 0.5s;
}

body.sidebar-gone .main-sidebar {
  left: -250px;
}

body.sidebar-mini .hide-sidebar-mini {
  display: none !important;
}

body.sidebar-mini .main-sidebar {
  width: 65px;
  overflow: initial !important;
  position: absolute;
  box-shadow: none;
}

body.sidebar-mini .main-sidebar::after {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 3%);
  content: " ";
  position: fixed;
  background-color: #f9f5f5;
  width: 65px;
  height: 100%;
  left: 0;
  top: 0;
  z-index: -1;
  opacity: 0;
  animation-name: mini-sidebar;
  animation-duration: 1.5s;
  animation-fill-mode: forwards;
}

@keyframes mini-sidebar {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

body.sidebar-mini .main-sidebar .sidebar-brand {
  display: none;
}

body.sidebar-mini .main-sidebar .sidebar-brand-sm {
  display: block;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li {
  padding: 10px;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li.menu-header {
  padding: 0;
  font-size: 0;
  height: 2px;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li > a {
  border-radius: 3px;
  height: 45px;
  padding: 0;
  justify-content: center;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li > a .ion,
body.sidebar-mini .main-sidebar .sidebar-menu > li > a .fas,
body.sidebar-mini .main-sidebar .sidebar-menu > li > a .far,
body.sidebar-mini .main-sidebar .sidebar-menu > li > a .fab,
body.sidebar-mini .main-sidebar .sidebar-menu > li > a .fal {
  margin: 0;
  font-size: 20px;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li > a span {
  display: none;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li > a .badge {
  padding: 5px;
  position: absolute;
  top: 4px;
  right: 4px;
  font-size: 10px;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li > a.has-dropdown::after {
  content: initial;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li.active > a {
  box-shadow: 0 4px 8px #acb5f6;
  background-color: #6777ef;
  color: #fff;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li ul.dropdown-menu {
  position: absolute;
  background-color: #fff;
  left: 65px;
  top: 10px;
  width: 200px;
  display: none;
  box-shadow: 0 0 30px #0000004d;
}

body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  > li
  ul.dropdown-menu
  li
  > a:focus,
body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  > li
  ul.dropdown-menu
  li.active
  > a,
body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  > li
  ul.dropdown-menu
  li.active
  > a:hover {
  color: #fff;
  background-color: #6777ef !important;
}

body.sidebar-mini .main-sidebar .sidebar-menu > li ul.dropdown-menu li a {
  height: 40px;
  padding: 0 20px;
  background-color: #fff;
}

body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  > li
  ul.dropdown-menu
  li
  a.has-dropdown::after {
  content: "";
  font-family: "Font Awesome 6 Free", sans-serif;
  font-weight: 900;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translate(0, -50%);
  font-size: 12px;
}

body.sidebar-mini .main-sidebar .sidebar-menu li:hover > ul.dropdown-menu {
  display: block !important;
}

body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  li:hover
  > ul.dropdown-menu
  li:hover
  > a {
  background-color: #fcfcfd;
}

body.sidebar-mini
  .main-sidebar
  .sidebar-menu
  li:hover
  > ul.dropdown-menu
  li
  .dropdown-menu {
  left: 200px;
  padding: 0;
}

body.sidebar-mini .navbar {
  left: 65px;
}

body.sidebar-mini .main-content,
body.sidebar-mini .main-footer {
  padding-left: 90px;
}

.main-sidebar .sidebar-brand {
  display: inline-block;
  width: 100%;
  text-align: center;
  height: 60px;
  line-height: 60px;
}

.main-sidebar .sidebar-brand.sidebar-brand-sm {
  display: none;
}

.main-sidebar .sidebar-brand a {
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  font-weight: 700;
  color: #3a3a3a;
}

.main-sidebar .sidebar-brand-sm a {
  color: #3a3a3a;
}

.main-sidebar .sidebar-user {
  display: inline-block;
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
}

.main-sidebar .sidebar-user .sidebar-user-picture {
  float: left;
  margin-right: 10px;
}

.main-sidebar .sidebar-user .sidebar-user-picture img {
  width: 50px;
  border-radius: 50%;
}

.main-sidebar .sidebar-menu {
  padding: 0;
  margin: 0;
}

.main-sidebar .sidebar-menu li {
  display: block;
}

.main-sidebar .sidebar-menu li.menu-header {
  padding: 3px 15px;
  color: #bcc1c6;
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 1.3px;
  font-weight: 600;
}

.main-sidebar .sidebar-menu li.menu-header:not(:first-child) {
  margin-top: 10px;
}

.main-sidebar .sidebar-menu li a {
  position: relative;
  display: flex;
  align-items: center;
  height: 50px;
  padding: 0 20px;
  width: 100%;
  letter-spacing: 0.3px;
  color: #868e96;
  text-decoration: none;
}

.main-sidebar .sidebar-menu li a .badge {
  float: right;
  padding: 5px 10px;
  margin-top: 2px;
}

.main-sidebar .sidebar-menu li a i {
  width: 28px;
  margin-right: 20px;
  text-align: center;
}

.main-sidebar .sidebar-menu li a span {
  margin-top: 3px;
  width: 100%;
}

.main-sidebar .sidebar-menu li a:hover {
  background-color: #fcfcfd;
}

.main-sidebar .sidebar-menu li.active a {
  color: #6777ef;
  font-weight: 600;
  background-color: #fcfcfd;
}

.main-sidebar .sidebar-menu li.active ul.dropdown-menu {
  background-color: #fcfcfd;
}

.main-sidebar .sidebar-menu li a.has-dropdown::after {
  content: "";
  font-family: "Font Awesome 6 Free", sans-serif;
  font-weight: 900;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translate(0, -50%);
  font-size: 12px;
}

.main-sidebar .sidebar-menu li.active > ul.dropdown-menu {
  display: block;
}

.main-sidebar .sidebar-menu li.active > ul.dropdown-menu li a:hover {
  background-color: #fcfcfd;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu {
  padding: 0;
  margin: 0;
  display: none;
  position: static;
  float: none;
  width: 100%;
  box-shadow: none;
  background-color: transparent;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu li a {
  color: #868e96;
  height: 35px;
  padding-left: 65px;
  font-weight: 400;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu li a:hover {
  color: #6777ef;
  background-color: inherit;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu li.active > a {
  color: #6777ef;
  font-weight: 600;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu li a i {
  margin-top: 1px;
  text-align: center;
}

.main-sidebar .sidebar-menu li ul.dropdown-menu li ul.dropdown-menu {
  padding-left: 10px;
}

.main-content {
  padding-left: 280px;
  padding-right: 30px;
  padding-top: 80px;
  width: 100%;
  position: relative;
}

.main-footer {
  padding: 20px 30px 20px 280px;
  margin-top: 40px;
  color: #98a6ad;
  border-top: 1px solid #e3eaef;
  display: inline-block;
  width: 100%;
}

.main-footer .footer-left {
  float: left;
}

.main-footer .footer-right {
  float: right;
}

body:not(.sidebar-mini) .sidebar-style-1 .sidebar-menu li.active a {
  background-color: #6777ef;
  color: #fff;
}

body:not(.sidebar-mini)
  .sidebar-style-1
  .sidebar-menu
  li.active
  ul.dropdown-menu
  li
  a {
  color: #e8ebfd;
}

body:not(.sidebar-mini)
  .sidebar-style-1
  .sidebar-menu
  li.active
  ul.dropdown-menu
  li
  a:hover {
  background-color: #6777ef;
  color: #fff;
}

body:not(.sidebar-mini)
  .sidebar-style-1
  .sidebar-menu
  li.active
  ul.dropdown-menu
  li.active
  a {
  color: #fff;
}

body:not(.sidebar-mini) .sidebar-style-2 .sidebar-menu > li.active > a {
  padding-left: 16px;
  background-color: transparent;
  position: relative;
}

body:not(.sidebar-mini) .sidebar-style-2 .sidebar-menu > li.active > a::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 25px;
  width: 4px;
  background-color: #6777ef;
}

body:not(.sidebar-mini)
  .sidebar-style-2
  .sidebar-menu
  li.active
  ul.dropdown-menu
  li
  a {
  padding-left: 61px;
  background-color: #fff;
}

@media (max-width: 1024px) {
  .sidebar-gone-hide {
    display: none !important;
  }

  .sidebar-gone-show {
    display: block !important;
  }

  .main-sidebar {
    position: fixed !important;
    margin-top: 0 !important;
    z-index: 891;
  }

  .main-content {
    padding-left: 30px;
    padding-right: 30px;
    width: 100% !important;
  }

  .main-footer {
    padding-left: 30px;
  }
}

/* =======================================
  form field
========================================= */
.filter-option input[type="search"] {
  width: 100%;
  padding: 0 10px;
  border-radius: 8px;
  height: 45px;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  color: #666;
  background-color: #5351510f;
  border: 1px solid #e4e6fc;
}

.single-field {
  margin-bottom: 25px;
}

.single-field-disable-label input[type="text"] {
  width: 100%;
  padding: 0 10px;
  border-radius: 8px;
  height: 45px;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  color: #666;
}

.single-field label {
  text-align: left;
  font-size: 14px;
  font-weight: 600;
  color: #666;
  letter-spacing: 0.5px;
  display: block;
}

.single-field label.required {
  position: relative;
  display: inline;
}

.single-field label.required::after {
  content: "*";
  left: auto;
  right: -10px;
  position: absolute;
  color: red;
}

.single-field .form-control {
  width: 100%;
  padding: 0 10px;
  border-radius: 8px;
  height: 45px;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  color: #000;
}

.single-field textarea.form-control {
  height: 80px;
}

.single-field.custom-textarea-field textarea.form-control {
  height: 45px;
  text-align: left;
}

/* file upload */
::file-selector-button {
  background-color: #0050ff !important;
  border: none;
  color: #fff;
  border-radius: 8px;
  padding: 6px 10px;
}

.file-upload {
  margin-bottom: 25px;
  position: relative;
}

.upload-avatar {
  position: absolute;
  top: 20px;
  left: 20px;
  height: 80px;
  width: 80px;
  border-radius: 50%;
  box-shadow: 0 1px 5px 4px rgb(236 219 219 / 54%);
  padding: 4px;
  border: 2px solid #fff;
}

.upload-avatar img {
  height: 100%;
  width: 100%;
  border-radius: 50%;
  object-fit: cover;
}

.file-upload input[type="file"] {
  border: 1px solid #ddd;
  padding: 10px;
  border-radius: 8px;
  width: 100%;
}

.drop-container {
  position: relative;
  display: flex;
  gap: 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 200px;
  padding: 20px;
  border-radius: 10px;
  border: 2px dashed #55555552;
  color: #444;
  cursor: pointer;
  transition: background 0.2s ease-in-out, border 0.2s ease-in-out;
}

.drop-container:hover {
  border-color: #55555552;
}

.drop-container:hover .drop-title {
  color: #222;
}

.drop-title {
  color: #444;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  transition: color 0.2s ease-in-out;
}

/* table */
table tr {
  border-color: #dddddd70;
}

table td {
  padding: 12px 8px !important;
  color: #666 !important;
}

table thead tr th {
  background: #dddddd30 !important;
  padding: 10px 6px !important;
}

/* secondary checkbox */
.secondary-checkbox label {
  display: flex;
  align-items: center;
}

.secondary-checkbox label span {
  display: inline-block;
  padding-left: 6px;
}

/* language translator checkbox */
.language-translator {
  background: #0050ff !important;
  margin-top: 10px;
  margin-right: 10px;
  border-radius: 100px;
  width: 94px;
  text-align: center;
  padding: 0 10px;
}

.language-translator button {
  background: transparent;
  border: none;
  color: #d5cdcd70;
  font-size: 12px;
  line-height: 23px;
  font-weight: 600;
}

.language-translator button.active {
  color: #fff;
}

/* =======================================
  Login Page
 ======================================== */
.login-page {
  position: relative;
  height: 100vh;
  background-color: #0050ff;
}

.login-page .login-wrapper {
  max-width: 500px;
  margin: auto;
  text-align: center;
  border-radius: 8px;
  background: #fff;
  padding: 40px 30px;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 100%;
  transform: translate(-50%, -50%);
  box-shadow: 0 0 2px 1px #00000080;
}

.login-page .login-wrapper .login-inner-content .login-header-content {
  height: auto;
  width: 150px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 30px;
}

.login-page .login-wrapper .login-inner-content .login-header-content img {
  height: 100%;
  width: 100%;
}

/* role permissions */
.single-permission .collaspe-inner-content {
  padding: 20px 15px;
}

.single-permission .collaspe-heading[aria-expanded="true"] {
  background-color: #0050ff;
  width: 100%;
  border-radius: 8px;
}

.single-permission .collaspe-heading[aria-expanded="false"] {
  background-color: #dddddd85;
  border-radius: 8px;
}

.single-permission .collaspe-heading[aria-expanded="false"] h3 {
  color: #3a3a3a;
  width: 100%;
  padding: 10px 20px;
  text-transform: uppercase;
  font-size: 18px;
  line-height: 26px;
  border-radius: 8px;
}

.single-permission .collaspe-heading h3 {
  color: #fff;
  width: 100%;
  padding: 10px 20px;
  text-transform: uppercase;
  font-size: 18px;
  line-height: 26px;
  margin-bottom: 0;
  border-radius: 8px;
}

/* remove confirmation modal */
.confirmation-modal .modal-header {
  border: none;
}

.confirmation-modal .modal-footer {
  border: none;
  margin: auto;
}

.confirmation-modal .confirmation-body-content {
  text-align: center;
  padding-bottom: 0;
}

.confirmation-modal .confirmation-body-content i {
  height: 50px;
  width: 50px;
  border-radius: 50%;
  border: 1px solid rgb(255 70 38);
  color: rgb(255 70 38);
  line-height: 50px;
  margin-bottom: 15px;
}

.confirmation-modal .confirmation-body-content i.active {
  color: #0050ff;
  border: 1px solid #0050ff;
}

.confirmation-modal .confirmation-body-content h3 {
  font-size: 26px;
  line-height: 34px;
  color: #3a3a3a;
  margin-bottom: 0;
}

/* end remove confirmation modal */

/* pagination */
.pagination-wrapper ul li {
  list-style: none;
  display: inline-block;
}

.pagination-wrapper ul li button {
  border: none;
  background: transparent;
  padding: 3px 10px;
  border-radius: 4px;
  min-width: 35px;
  color: #0050ff;
}

.pagination-wrapper ul li button.active {
  background-color: #0050ff;
  color: #fff;
}

.pagination-wrapper ul li button.disabled {
  color: #ddd;
  cursor: no-drop;
}

/* end pagination */

/* select 2 */

.select2-container {
  width: 100% !important;
}

.select2-container--default .select2-selection--multiple {
  padding: 0 10px !important;
  border-radius: 8px !important;
  height: 45px !important;
  font-size: 14px !important;
  line-height: 25px !important;
  font-weight: 400 !important;
  color: #666 !important;
  background-color: #5351510f;
  border-color: #e4e6fc !important;
}

.select2-container .select2-search--inline .select2-search__field {
  margin-top: 0 !important;
  height: 19px !important;
  margin-left: 0 !important;
}

.select2-container.select2-container--above
  .select2-search--inline
  .select2-search__field {
  margin-top: 0 !important;
  height: 25px !important;
  margin-left: 0 !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
  color: #aaa !important;
  font-size: 14px !important;
  font-weight: 400 !important;
}


.agm-company-select .select2-container--default .select2-selection--single .select2-selection__clear {
  font-size: 1.5em;
  color: #aaa;
  cursor: pointer;
  transform: translateY(-3px);
}

.agm-company-select .select2-container--default .select2-selection--single .select2-selection__arrow {
  display: none !important;
}



/* end select 2 */

/* investor information */

.investor-informtion {
  margin-bottom: 25px;
}

.investor-informtion .investor-avatar {
  height: 80px;
  width: 80px;
  flex-shrink: 0;
  border-radius: 50%;
  margin-right: 40px;
}

.investor-informtion .investor-avatar img {
  height: 100%;
  width: 100%;
  border-radius: 50%;
}

.investor-informtion .investor-content ul {
  margin: 0;
  padding: 0;
}

.investor-informtion .investor-content ul li {
  display: inline-block;
  list-style: none;
  text-align: left;
  margin-right: 10px;
}

.investor-informtion .investor-content h3 {
  color: #3a3a3a;
  position: relative;
}

.investor-informtion .investor-content h3 span {
  position: absolute;
  top: 5px;
  font-size: 13px;
  display: inline-block;
  margin-left: 7px;
  font-weight: 900;
}

.investor-informtion .investor-content ul li h6 span.active {
  color: #0050ff;
}

.investor-informtion .investor-content ul li h6 span.inactive {
  color: rgb(255 70 38);
}

.investor-informtion .investor-content ul li h6 span.suspend {
  color: rgb(255 162 38);
}

.investor-informtion .investor-content ul li h6 {
  font-weight: 400;
  font-size: 15px;
  line-height: 26px;
}

.investor-informtion .investor-content ul li h6 i {
  padding-right: 6px;
}

.bo-information .tab-list button {
  background-color: transparent;
  border-radius: 4px;
  padding: 4px 10px;
  min-width: 100px;
  text-align: center;
  margin-right: 10px;
  border: 1px solid #ddd;
}

.bo-information .tab-list button.active {
  color: #0050ff;
  border: 1px solid #0050ff;
}

.bo-information .tab-content {
  margin-top: 10px;
}

.single-bo-info {
  display: flex;
  justify-content: space-between;
  padding: 5px 10px;
  border-radius: 4px;
  margin-bottom: 10px;
}

.single-bo-info .title h4 {
  font-size: 14px;
  line-height: 31px;
  margin-bottom: 0;
}

.single-bo-info .content {
  width: 50%;
  text-align: left;
}

.single-bo-info .content h4 {
  font-size: 14px;
  line-height: 24px;
}

.information-modal-content {
  min-width: 800px;
}

.investor-infor-content-wrapper .single-content {
  float: left;
  width: 50%;
  padding: 0 10px;
}

.investor-infor-content-wrapper .single-content h4 {
  font-size: 16px;
  font-weight: 600;
  line-height: 28px;
  margin-bottom: 0;
  color: #666;
}

.investor-infor-content-wrapper .single-content p {
  font-size: 14px;
  color: #888;
}

.radio-button-group ul {
  padding: 0;
  margin: 0;
}

.radio-button-group ul li {
  list-style: none;
}

.radio-button-group ul li:nth-child(odd) .single-radio-button-flex {
  background-color: #673ab736;
}

.radio-button-group ul li:nth-child(even) .single-radio-button-flex {
  background-color: #00968829;
}

.single-radio-button-flex {
  display: flex;
  justify-content: space-between;
  width: 40%;
  margin-bottom: 10px;
  padding: 10px;
  border-radius: 4px;
}

.single-radio-button-flex .cross-radio i {
  cursor: pointer;
}

/* end investor information */

/* general setting */

.status-radio-flex {
  display: flex;
}

.status-radio-flex .single-radio {
  margin-right: 20px;
}

.single-radio span {
  text-align: left;
  display: block;
  font-size: 14px;
  font-weight: 600;
  color: #666;
  letter-spacing: 0.5px;
  margin-bottom: 7px;
}

/* end general setting */

/* horizontal tab list */
.horizontal-tab-list {
  display: block;
  width: 100%;
  border: none;
  padding: 30px 15px;
  box-shadow: 0px 1px 5px 4px rgb(243 243 243 / 60%);
  border-radius: 8px;
}

.horizontal-tab-list li button {
  width: 100%;
  text-align: left;
  border-radius: 4px;
  color: rgb(0 150 136) !important;
}

.horizontal-tab-list li button.active {
  border: none;
  background-color: rgb(0 150 136 / 38%) !important;
}

/* end horizontal tab list */

/* payment info accordion */
.payment-collaspe-inner-content {
  padding: 30px;
  box-shadow: 0px 1px 5px 4px rgb(243 243 243 / 60%);
  margin-top: 15px;
  border-radius: 8px;
}

.single-payment-info .collaspe-heading[aria-expanded="true"] {
  background-color: #0050ff;
  width: 100%;
  border-radius: 8px;
}

.single-payment-info .collaspe-heading h3 {
  color: #fff;
  width: 100%;
  padding: 10px 20px;
  text-transform: uppercase;
  font-size: 18px;
  line-height: 26px;
  border-radius: 8px;
  margin-bottom: 0;
}

.single-payment-info .collaspe-heading[aria-expanded="false"] {
  background-color: #dddddd85;
  border-radius: 8px;
}

.single-payment-info .collaspe-heading[aria-expanded="false"] h3 {
  color: #3a3a3a;
  width: 100%;
  padding: 10px 20px;
  text-transform: uppercase;
  font-size: 18px;
  line-height: 26px;
  border-radius: 8px;
  margin-bottom: 0;
}

/* end payment info accordion */

/* bo account list */

.account-progress {
  background-color: #9c9292bf;
  border-radius: 4px;
}

.progress-percentage {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.progress-percentage span {
  display: inline-block;
  color: #fff;
  padding: 0 10px;
  font-size: 14px;
  font-weight: 900;
}

/* end bo account list */

/* bo account create process */

.horzontal-step-wrapper ul {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-between;
}

.horizontal-item {
  display: inline;
  padding-right: 40px;
  position: relative;
  width: 100%;
}

.horizontal-item::after {
  content: "";
  position: absolute;
  right: 0;
  width: 100%;
  background: #6c757d;
  height: 1px;
  top: 50%;
  transform: translateY(-50%);
}

.horizontal-item:last-child::after {
  display: none;
}

.horizontal-item.active::after {
  background-color: #0050ff !important;
}

.horizontal-item button {
  position: relative;
  z-index: 999;
  margin-right: 0 !important;
  border: none;
}

.horizontal-item button.active {
  background-color: #0050ff !important;
}

/* end bo account create process */

/* bo account details */
.single-bo-info-content {
  display: flex;
  justify-content: space-between;
}

.bo-single-inner-content {
  display: flex;
  width: 50%;
}

.single-bo-info-content .bo-info-title {
  width: 50%;
  text-align: left;
}

.single-bo-info-content .bo-info-title h5 {
  font-size: 14px;
  line-height: 22px;
  font-weight: 900;
}

.single-bo-info-content .bo-info-content {
  width: 50%;
  text-align: left;
}

.single-bo-info-content .bo-info-content h5 {
  font-size: 14px;
  font-weight: 100;
}

/* end bo account details */
